using Fantasy;
using Fantasy.Entitas;

namespace NB.Chat;

public sealed class SocialUnit : Entity
{
    public long GateRouteId;

    public RoleSimpleInfo Role;

    /// <summary>
    /// 当前所在地图
    /// </summary>
    public long MapId;

    /// <summary>
    /// 当前频道
    /// </summary>
    public long CurrentChannel;

    public override void Dispose()
    {
        if (IsDisposed)
        {
            return;
        }

        GateRouteId = 0;
        Role = null;
        base.Dispose();
    }
}